aboutsummaryrefslogtreecommitdiffstats
path: root/etc/rc.d/init.d/network
diff options
context:
space:
mode:
Diffstat (limited to 'etc/rc.d/init.d/network')
-rwxr-xr-xetc/rc.d/init.d/network12
1 files changed, 7 insertions, 5 deletions
diff --git a/etc/rc.d/init.d/network b/etc/rc.d/init.d/network
index dfa81172..798e0d09 100755
--- a/etc/rc.d/init.d/network
+++ b/etc/rc.d/init.d/network
@@ -49,12 +49,14 @@ interfaces=$(ls ifcfg-* | \
LC_ALL=C sed 's/ //')
rc=0
-net_log $"You are using 'network' service provided by 'network-scripts', which are now deprecated." warning network
-net_log $"'network-scripts' will be removed in one of the next major releases of RHEL." warning network
-net_log $"It is advised to switch to 'NetworkManager' instead for network management." warning network
+if ! [ -f /etc/sysconfig/disable-deprecation-warnings ]; then
+ net_log $"You are using 'network' service provided by 'network-scripts', which are now deprecated." warning network
+ net_log $"'network-scripts' will be removed in one of the next major releases of RHEL." warning network
+ net_log $"It is advised to switch to 'NetworkManager' instead for network management." warning network
-# This disables additional warnings during the boot process:
-export DEPRECATION_WARNING_ISSUED='true'
+ # This disables additional warnings during the boot process:
+ export DEPRECATION_WARNING_ISSUED='true'
+fi
# See how we were called.
case "$1" in